aboutsummaryrefslogtreecommitdiff
path: root/scripts/laminar/gn3-lint.run
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/laminar/gn3-lint.run')
-rwxr-xr-xscripts/laminar/gn3-lint.run16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/laminar/gn3-lint.run b/scripts/laminar/gn3-lint.run
new file mode 100755
index 0000000..2456740
--- /dev/null
+++ b/scripts/laminar/gn3-lint.run
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -ex # Abort on first error
+
+CUR_DIR=$PWD
+GN3_CI_DIR=$HOME/CI/genenetwork3/
+
+cd $GN3_CI_DIR
+git pull
+
+# Run Pylint
+env GUIX_PACKAGE_PATH="$HOME/guix-bioinformatics:$HOME/guix-past/modules" \
+ guix environment --load=guix.scm -- pylint sheepdog/worker.py gn3/ tests
+
+echo Done Running Pylint!
+cd $CUR_DIR